Bug 417087

Summary: Launching apps via global hotkeys does not display launch feedback on X11
Product: [Frameworks and Libraries] frameworks-kglobalaccel Reporter: tuxutku <proje.pdf>
Component: generalAssignee: kdelibs bugs <kdelibs-bugs>
Status: CONFIRMED ---    
Severity: minor CC: bugseforuns, kde, kde, nate, nicolas.fella, plasma-bugs, till2.schaefer
Priority: NOR    
Version: 5.90.0   
Target Milestone: ---   
Platform: Ubuntu   
OS: Linux   
See Also: https://bugs.kde.org/show_bug.cgi?id=442587
https://bugs.kde.org/show_bug.cgi?id=443726
Latest Commit: Version Fixed In:

Description tuxutku 2020-02-03 06:26:46 UTC
Launching chrome will not have indicator

STEPS TO REPRODUCE
1. Set "Global Shortcuts > Application Launchers > Launch Google Chrome > Launch Google Chrome" to "Meta+W" (or any combination)
2. Do the key combination
3. Chrome will launch but without that jumping icon indicator

OBSERVED RESULT

Chrome will launch but without that jumping icon indicator

EXPECTED RESULT

Maybe for the first time it to show a jumping icon indicator, so user can understand that its launching. I am not sure about the second or so on times because they are pretty quick.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Pop!_OS 19.10
(available in About System)
KDE Plasma Version: 5.16.5
KDE Frameworks Version: 5.62.0
Qt Version: 5.12.4

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2020-02-05 20:16:02 UTC
This was fixed in a later Plasma version.
Comment 2 Patrick Silva 2020-02-09 17:20:29 UTC
Still not working on Plasma 5.18 beta.
Tested chromium, dolphin and konsole.
Comment 3 Nate Graham 2020-02-14 05:02:03 UTC
You're right, I was testing wrong, sorry. Can confirm now.
Comment 4 David Edmundson 2020-02-14 07:14:59 UTC
From kglobalaccel:
//we can't use KRun there as it depends from KIO and would create a circular dep


nicofee is planning on resolving the kbookmarks being used from kio which would then resolve that and this becomes a simple fix.
Comment 5 Kai Uwe Broulik 2020-02-14 07:52:56 UTC
I looked into it once and it appeared it would still create a launch feedback but it would use the binary name "dolphin" which doens't match "org.kde.dolphin". I'm pretty sure this worked at some point.
Comment 6 Till Schäfer 2021-10-14 15:57:24 UTC
also affects wayland here 



Operating System: Gentoo Linux
KDE Plasma Version: 5.23.0
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.14.10-gentoo (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-4810MQ CPU @ 2.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 4600
Comment 7 Nicolas Fella 2022-08-15 23:01:51 UTC
*** Bug 451160 has been marked as a duplicate of this bug. ***
Comment 8 Nicolas Fella 2022-08-15 23:02:41 UTC
On Wayland this was fixed by https://invent.kde.org/frameworks/kglobalaccel/-/commit/ce28705bc9e6e0192108382a1c6bfb4ff59fddd7
Comment 9 Nicolas Fella 2022-08-16 18:56:12 UTC
It also work fine for me on X11 FWIW